:root {
  --iqblue: #0A0039;
  --iqorange: #f15627;
  font-family: 'Inter', sans-serif;
}

html,body { 
  width: 100vw; height: 100vh;
}

body {
  display: flex;
  flex-flow: column;
  background: #121212;
  color: #8b8b8b;
}

ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

a:link,
a:visited,
a:hover,
a:active,
li a {
  text-decoration: none;
  color: white;
}

.container {
  background-color: var(--iqblue);
}

/************** 
    HEADER
***************/
.nav {
  /* flex: 0 0 auto; */
  width: auto;
  display: flex;
  padding: 20px;
  margin: 0;
  border-bottom: 10px solid lightgray;
  background-color: var(--iqblue);
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
}

.nav strong {
  color: var(--iqorange);
  font-size: 2rem;
}

.searchbx {
  margin: 3px;
}

.searchbtn {
  /* display: none; */
  height: 3rem;
  width: 3rem;
  background-color: whitesmoke;
  border: none;
  border-radius: 3px;
  margin-right: 1rem;
}

.searchbtn:hover {
  cursor: pointer;
}

.sinput {
  height: 3.1rem;
  width: 30vw;
  padding-left: 1rem;
  font-size: medium;
}

/************** 
      MAIN
***************/

main {
  flex: 1 0 auto;
  height: 60vh;
  padding: 0;
  margin: 0;
  display: grid;
}

#thelist {
  scroll-padding-inline-start: 1rem;
  padding-left: 1.5rem;
}

#placeholder {
  align-content: center; justify-items: center;
}

/************** 
    FOOTER
***************/

footer {
  display: grid;
  grid-template-columns: 1fr 1fr;
  padding: 50px;
  border-top: 10px solid var(--iqorange);
  background-color: var(--iqblue);
  font-size: small;
  color: white;
  font-weight: 300;
}

.gethline {
  margin-bottom: 1rem;
  height: 1px;
  border: 0;
  background-color: white;
  width: 75%;
}

.newshline {
  margin-bottom: 1rem;
  height: 1px;
  border: 0;
  background-color: white;
  width: 100%;
}

.animated-underline {
  background-image: linear-gradient(currentColor, currentColor);
  background-position: 0% 100%;
  background-repeat: no-repeat;
  background-size: 0% 1px;
  transition: background-size 0.3s ease-out;
}

.animated-underline:hover,
.animated-underline:focus {
  background-size: 100% 1px;
  background-image: linear-gradient(currentColor, var(--iqorange));
  color: var(--iqorange);
}

.lists {
  padding-top: 0;
  grid-column-start: 2;
  grid-row-start: 1;
  display: grid;
  grid-template-columns: [listleft] 1fr [listright] 1fr;
  grid-auto-flow: row;
  width: auto;
  height: auto;
}

.links {
  grid-column-start: listleft;
  grid-row-start: 1;
}

.newscat {
  grid-column-start: listright;
  grid-row-start: 1;
}

.newslinks {
  display: grid;
  grid-template-columns: [newsl] 1fr [newsr] 1fr;
}

.newslinks li {
  margin-top: 10px;
}

.newsright {
  grid-column-start: newsr;
}

.links ul {
  grid-column-start: 1;
}

.links li {
  margin-top: 10px;
}

footer li img {
  margin-top: 0;
}

.addresstext {
  vertical-align: top;
}

footer img {
  margin-top: 0;
  grid-column-start: 1;
  grid-row-start: 1;
}

footer h3 {
  font-weight: 300;
  font-size: large;
}

footer li {
  line-height: 2;
}

.address {
  margin-top: 10rem;
  grid-column-start: 1;
  grid-row-start: 1;
}

.address li a {
  color: white;
}

.address li a:hover {
  color: var(--iqorange);
}

.socials {
  font-size: 1rem;
  display: flex;
  column-gap: 1rem;
  margin-top: 1rem;
}

.socialbg :hover {
  background-color: #d2d2d2;
  width: 2rem;
  height: 2rem;
  border-radius: 3px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.socialbg {
  background-color: white;
  width: 2rem;
  height: 2rem;
  border-radius: 3px;
  display: flex;
  justify-content: center;
  align-items: center;
}

dbspan {
  flex: 0 0 auto;
  padding: 5px;
  margin: 0;
  border-top: 1px solid yellowgreen;
}

/************** 
    MEDIA
***************/

@media screen and (orientation: portrait) { 
  main {
    grid-template-columns: 1fr;
    grid-template-rows: 6fr 4fr;
  } 
  .nav {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 3fr;
    justify-items: center;
    gap: 1rem;
  }
  .searchbx {
    width: 90vw;
    display: flex;
    justify-content: center;
  }
  .sinput {
    width: 75vw;
  }
  footer {
    display: block;
    grid-template-columns: none;
    align-content: center;
    text-align: center;
  }
  .address {
    width: 100%;
    display: grid;
    margin-top: 1.5rem;
    grid-template-rows: 1fr 60px;
    justify-items: center;
  }
  .lists {
    display: block;
    grid-template-columns: none;
    justify-items: center;
    margin-top: 3rem;
  }
  .newslinks {
    display: block;
    grid-template-columns: none;
    justify-items: center;
  }
  .newscat {
    margin-top: 3rem;
  }
  .gethline {
    width: 100%;
  }
}
@media screen and (orientation: landscape) { 
  main {
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr;
  } 
}
main>#thelist {
  overflow: scroll;
}
